| QxOrm 1.2.3 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | Protected Attributes
qx::service::QxThread Class Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

qx::service::QxThread : thread to execute a transaction of QxService module More...

`#include <QxThread.h>`

List of all members.

## Signals
void | error (const QString &err, qx::service::QxTransaction_ptr transaction)
void | transactionStarted (qx::service::QxTransaction_ptr transaction)
void | transactionFinished (qx::service::QxTransaction_ptr transaction)
## Public Member Functions
| QxThread (QxThreadPool *pool)
virtual | ~QxThread ()
bool | isAvailable ()
void | stop ()
void | execute (int socketDescriptor)
## Protected Member Functions
virtual void | run ()
void | clearData ()
void | doProcess (QTcpSocket &socket)
qx_bool | readSocket (QTcpSocket &socket)
qx_bool | writeSocket (QTcpSocket &socket)
## Protected Attributes
int | m_iSocketDescriptor
| Socket descriptor to retrieve 'QTcpSocket'.
QxThreadPool * | m_pThreadPool
| Parent thread pool to set available.
QxTransaction_ptr | m_pTransaction
| Current service transaction.
bool | m_bIsRunning
| Set this flag to 'false' to terminate thread.
QMutex | m_mutex
| Mutex => 'QxThread' is thread-safe.

## Detailed Description

qx::service::QxThread : thread to execute a transaction of QxService module

Click here to access to a tutorial to explain how to work with QxService module.

Definition at line 58 of file QxThread.h.

## Constructor & Destructor Documentation

qx::service::QxThread::QxThread | ( | QxThreadPool * | pool | ) | `[inline]`

Definition at line 71 of file QxThread.h.

virtual qx::service::QxThread::~QxThread | ( |  | ) | `[inline, virtual]`

Definition at line 72 of file QxThread.h.

## Member Function Documentation

void qx::service::QxThread::clearData | ( |  | ) | `[protected]`

void qx::service::QxThread::doProcess | ( | QTcpSocket & | socket | ) | `[protected]`

void qx::service::QxThread::error | ( | const QString & | err,
|  | qx::service::QxTransaction_ptr | transaction
| ) |  | `[signal]`

void qx::service::QxThread::execute | ( | int | socketDescriptor | ) |

bool qx::service::QxThread::isAvailable | ( |  | ) |

qx_bool qx::service::QxThread::readSocket | ( | QTcpSocket & | socket | ) | `[protected]`

virtual void qx::service::QxThread::run | ( |  | ) | `[protected, virtual]`

void qx::service::QxThread::stop | ( |  | ) |

void qx::service::QxThread::transactionFinished | ( | qx::service::QxTransaction_ptr | transaction | ) | `[signal]`

void qx::service::QxThread::transactionStarted | ( | qx::service::QxTransaction_ptr | transaction | ) | `[signal]`

qx_bool qx::service::QxThread::writeSocket | ( | QTcpSocket & | socket | ) | `[protected]`

## Member Data Documentation

bool qx::service::QxThread::m_bIsRunning`[protected]`

Set this flag to 'false' to terminate thread.

Definition at line 66 of file QxThread.h.

int qx::service::QxThread::m_iSocketDescriptor`[protected]`

Socket descriptor to retrieve 'QTcpSocket'.

Definition at line 63 of file QxThread.h.

QMutex qx::service::QxThread::m_mutex`[protected]`

Mutex => 'QxThread' is thread-safe.

Definition at line 67 of file QxThread.h.

QxThreadPool* qx::service::QxThread::m_pThreadPool`[protected]`

Parent thread pool to set available.

Definition at line 64 of file QxThread.h.

QxTransaction_ptr qx::service::QxThread::m_pTransaction`[protected]`

Current service transaction.

Definition at line 65 of file QxThread.h.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxService/QxThread.h